Package com.saxonica.ee.stream.feed

## Interface FeedMaker

- All Known Implementing Classes:
    `AbsorbingFunctionCallAdjunct`, `AccumulatorAfterStreamer`, `AdjacentTextNodeMergerAdjunct`, `ApplyTemplatesAdjunct`, `ArrayBlockAdjunct`, `AtomicSequenceConverterAdjunct`, `AtomizerAdjunct`, `BlockAdjunct`, `BooleanFnStreamer`, `CardinalityCheckerAdjunct`, `ChooseAdjunct`, `CodepointsToStringStreamer`, `ConditionalBlockAdjunct`, `CopyAdjunct`, `CopyOfAdjunct`, `CountStreamer`, `CurrentMergeGroupStreamer`, `DeepDescentFunctionCallAdjunct`, `DeepEqualStreamer`, `DistinctValuesStreamer`, `DocumentInstrAdjunct`, `DocumentSorterAdjunct`, `ElementCreatorAdjunct`, `EmptyStreamer`, `EmptyTextNodeRemoverAdjunct`, `ExistsStreamer`, `FilterExpressionAdjunct`, `FilterFnStreamer`, `FilterFunctionCallAdjunct`, `FilteringAdjunct`, `FirstItemExpressionAdjunct`, `FoldStreamer`, `ForEachAdjunct`, `ForEachGroupAdjunct`, `ForExpressionAdjunct`, `IndexOfStreamer`, `InsertBeforeStreamer`, `InstanceOfAdjunct`, `ItemCheckerAdjunct`, `ItemsAfterStreamer`, `ItemsBeforeStreamer`, `ItemsFromStreamer`, `ItemsUntilStreamer`, `IterateAdjunct`, `LetExpressionAdjunctB`, `LiteralAdjunct`, `MapEntryStreamer`, `MinimaxStreamer`, `NewMapStreamer`, `NotFnStreamer`, `OnEmptyAdjunct`, `OnNonEmptyAdjunct`, `OutermostStreamer`, `RemoveStreamer`, `ShallowDescentFunctionCallAdjunct`, `SimpleNodeConstructorAdjunct`, `SnapshotFnStreamer`, `SubscriptExpressionAdjunct`, `SubsequenceStreamer`, `SwitchAdjunct`, `TailExpressionAdjunct`, `TraceExprAdjunct`, `TraceStreamer`, `TransmissionAdjunct`, `TreatFnStreamer`, `TryCatchAdjunct`, `UserFunctionCallAdjunct`, `VariableReferenceAdjunct`, `VennExpressionAdjunct`, `WherePopulatedAdjunct`, `XmlToJsonFnStreamer`

      public interface FeedMaker

  An expression that can be evaluated in streaming mode is represented at compile time by a list of FeedMaker objects. At run-time, the makeFeed() method on each of these objects is called to create a list of Feed objects, representing the evaluation pipeline. The output of the Watch that monitors the actual parsing events is then fed into this pipeline, which eventually delivers its result in the current SequenceReceiver of the XPathContext object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ItemFeed` | `makeItemFeed​(WatchManager watchManager, ItemFeed out, XPathContext context)` |

- - ### Method Detail

    - #### makeItemFeed

          ItemFeed makeItemFeed​(WatchManager watchManager,
                                ItemFeed out,
                                XPathContext context)
                         throws XPathException

      Throws:
        `XPathException`